<div class='profile'>
  <div class='profile__info'>
    <div class='profile__image' *ngIf='photo' [ngStyle]="{'background-image': 'url(' + photo + ')'}"></div>
    <div class='profile__image' *ngIf='!photo' [ngStyle]="{'background-image': 'url(' + defaultPhoto + ')'}"></div>
    <form class='profile__form' [formGroup]='imageForm' (ngSubmit)='loadImage($event)'>
      <label class="file">
        <input type="file" id="file" aria-label="File browser example" name="image" accept="image/*" formControlName='image'>
        <span class="file-custom"></span>
      </label>
      <button type='submit' mat-raised-button color="accent" [disabled]='!imageForm.valid' i18n>Upload</button>
    </form>
    <p class='profile__name'>Ivan Ivanov</p>
    <div class='profile__about'>
      <p class='profile__label'>ID: <span class='profile__field'>{{ user._id }}</span></p>
      <p class='profile__label' i18n>Email: <span class='profile__field'>{{ user.email }}</span></p>
      <p class='profile__label' i18n>Role: <span class='profile__field'>{{ user.role }}</span></p>
      <p class='profile__label' i18n>Created Date: <span class='profile__field'>{{ user.createdDate | date }}</span></p>
    </div>
    <div class='profile__buttons'>
      <button mat-raised-button color="primary" (click)='openPassword()' i18n>Change Password</button>
      <button mat-raised-button color="warn" (click)='openDelete()' i18n>Delete Account</button>
    </div>
  </div>

  <div *ngIf='isLoading' class='spinner'>
    <app-spinner></app-spinner>
  </div>
</div>
